STOFFChart Class Reference documentation

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
STOFFChart Class Referenceabstract

a class used to store a chart associated to a spreadsheet .... More...

`#include <STOFFChart.hxx>`

## Classes
struct | Axis
| a axis in a chart More...
struct | Legend
| a legend in a chart More...
struct | Series
| a series in a chart More...
struct | TextZone
| a text zone a chart More...

## Public Member Functions
| STOFFChart (librevenge::RVNGString const &sheetName, STOFFVec2f const &dim=STOFFVec2f())
| the constructor More...
virtual | ~STOFFChart ()
| the destructor More...
void | sendChart (STOFFSpreadsheetListenerPtr &listener, librevenge::RVNGSpreadsheetInterface *interface)
| send the chart to the listener More...
virtual void | sendContent (TextZone const &zone, STOFFListenerPtr &listener)=0
| send the zone content (called when the zone is of text type) More...
void | setDataType (Series::Type type, bool dataStacked)
| sets the chart type More...
STOFFVec2f const & | getDimension () const
| return the chart dimension More...
void | setDimension (STOFFVec2f const &dim)
| return the chart dimension More...
void | add (int coord, Axis const &axis)
| adds an axis (corresponding to a coord) More...
Axis const & | getAxis (int coord) const
| return an axis (corresponding to a coord) More...
void | set (Legend const &legend)
| set the legend More...
Legend const & | getLegend () const
| return the legend More...
void | add (Series const &series)
| adds a series More...
std::vector< Series > const & | getSeries () const
| return the list of series More...
void | add (TextZone const &textZone)
| adds a textzone More...
bool | getTextZone (TextZone::Type type, TextZone &textZone)
| returns a textzone content(if set) More...

## Protected Member Functions
void | sendTextZoneContent (TextZone::Type type, STOFFListenerPtr &listener)
| sends a textzone content More...

## Protected Attributes
librevenge::RVNGString | m_sheetName
| the sheet name More...
STOFFVec2f | m_dim
| the chart dimension in point More...
Series::Type | m_type
| the chart type (if no series) More...
bool | m_dataStacked
| a flag to know if the data are stacked or not More...
Axis | m_axis [4]
| the x,y,z axis and a bad axis More...
Legend | m_legend
| the legend More...
std::vector< Series > | m_seriesList
| the list of series More...
std::map< TextZone::Type, TextZone > | m_textZoneMap
| a map text zone type to text zone More...

## Private Member Functions
| STOFFChart (STOFFChart const &orig)
STOFFChart & | operator= (STOFFChart const &orig)

## Friends
class | STOFFChartInternal::SubDocument

## Detailed Description

a class used to store a chart associated to a spreadsheet ....

## Constructor & Destructor Documentation

## ◆ STOFFChart() [1/2]

STOFFChart::STOFFChart | ( | librevenge::RVNGString const & | sheetName,
|  | STOFFVec2f const & | dim = `STOFFVec2f()`
| ) |  |

the constructor

## ◆ ~STOFFChart()

STOFFChart::~STOFFChart | ( |  | ) |
| virtual

the destructor

## ◆ STOFFChart() [2/2]

STOFFChart::STOFFChart | ( | STOFFChart const & | orig | ) |
| private

## Member Function Documentation

## ◆ add() [1/3]

void STOFFChart::add | ( | int | coord,
|  | STOFFChart::Axis const & | axis
| ) |  |

adds an axis (corresponding to a coord)

## ◆ add() [2/3]

void STOFFChart::add | ( | STOFFChart::Series const & | series | ) |

adds a series

## ◆ add() [3/3]

void STOFFChart::add | ( | STOFFChart::TextZone const & | textZone | ) |

adds a textzone

## ◆ getAxis()

STOFFChart::Axis const & STOFFChart::getAxis | ( | int | coord | ) | const

return an axis (corresponding to a coord)

## ◆ getDimension()

STOFFVec2f const& STOFFChart::getDimension | ( |  | ) | const
| inline

return the chart dimension

## ◆ getLegend()

Legend const& STOFFChart::getLegend | ( |  | ) | const
| inline

return the legend

## ◆ getSeries()

std::vector<Series> const& STOFFChart::getSeries | ( |  | ) | const
| inline

return the list of series

## ◆ getTextZone()

bool STOFFChart::getTextZone | ( | TextZone::Type | type,
|  | STOFFChart::TextZone & | textZone
| ) |  |

returns a textzone content(if set)

## ◆ operator=()

STOFFChart& STOFFChart::operator= | ( | STOFFChart const & | orig | ) |
| private

## ◆ sendChart()

void STOFFChart::sendChart | ( | STOFFSpreadsheetListenerPtr & | listener,
|  | librevenge::RVNGSpreadsheetInterface * | interface
| ) |  |

send the chart to the listener

Referenced by STOFFSpreadsheetListener::insertChart().

## ◆ sendContent()

virtual void STOFFChart::sendContent | ( | TextZone const & | zone,
|  | STOFFListenerPtr & | listener
| ) |  |
| pure virtual

send the zone content (called when the zone is of text type)

Referenced by sendTextZoneContent().

## ◆ sendTextZoneContent()

void STOFFChart::sendTextZoneContent | ( | TextZone::Type | type,
|  | STOFFListenerPtr & | listener
| ) |  |
| protected

sends a textzone content

Referenced by STOFFChartInternal::SubDocument::parse().

## ◆ set()

void STOFFChart::set | ( | Legend const & | legend | ) |
| inline

set the legend

## ◆ setDataType()

void STOFFChart::setDataType | ( | Series::Type | type,
|  | bool | dataStacked
| ) |  |
| inline

sets the chart type

## ◆ setDimension()

void STOFFChart::setDimension | ( | STOFFVec2f const & | dim | ) |
| inline

return the chart dimension

## Friends And Related Function Documentation

## ◆ STOFFChartInternal::SubDocument

friend class STOFFChartInternal::SubDocument
| friend

## Member Data Documentation

## ◆ m_axis

Axis STOFFChart::m_axis[4]
| protected

the x,y,z axis and a bad axis

Referenced by add(), getAxis(), sendChart(), and STOFFChart().

## ◆ m_dataStacked

bool STOFFChart::m_dataStacked
| protected

a flag to know if the data are stacked or not

Referenced by sendChart(), and setDataType().

## ◆ m_dim

STOFFVec2f STOFFChart::m_dim
| protected

the chart dimension in point

Referenced by getDimension(), sendChart(), and setDimension().

## ◆ m_legend

Legend STOFFChart::m_legend
| protected

the legend

Referenced by getLegend(), sendChart(), and set().

## ◆ m_seriesList

std::vector<Series> STOFFChart::m_seriesList
| protected

the list of series

Referenced by add(), getSeries(), and sendChart().

## ◆ m_sheetName

librevenge::RVNGString STOFFChart::m_sheetName
| protected

the sheet name

Referenced by sendChart().

## ◆ m_textZoneMap

std::map<TextZone::Type, TextZone> STOFFChart::m_textZoneMap
| protected

a map text zone type to text zone

Referenced by add(), getTextZone(), sendChart(), and sendTextZoneContent().

## ◆ m_type

Series::Type STOFFChart::m_type
| protected

the chart type (if no series)

Referenced by STOFFChart::Axis::addContentTo(), STOFFChart::Series::addContentTo(), STOFFChart::TextZone::addContentTo(), STOFFChart::Axis::addStyleTo(), sendChart(), and setDataType().

The documentation for this class was generated from the following files:

- STOFFChart.hxx
- STOFFChart.cxx